#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}

#-----------------------------------------------------------------------------
Name		:	re2c
Version		:	1.3
Release		:	16.2.0.rel%{?dist}
Summary		:	Tool for generating C-based recognizers from regular expressions

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/skvadrik/re2c

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++

#-----------------------------------------------------------------------------
%description
'%{name}' is a tool for writing very fast and very flexible scanners.
Unlike any other such tool, re2c focuses on generating high efficient
code for regular expression matching. As a result this allows a much
broader range of use than any traditional lexer offers. And Last but
not least '%{name} generates warning free code that is equal to hand-written
code in terms of size, speed and quality.
#-----------------------------------------------------------------------------

%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/stdlib/unicode_categories.re
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-silent-rules				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
